%global theme_name     Greybird
%global theme_revision 0
%global git_short      10555c8

Name:           greybird
Version:        0.8.2
Release:        3%{?dist}
Summary:        A clean minimalistic theme for Xfce, GTK+ 2 and 3

License:        GPLv2+ or CC-BY-SA
URL:            http://shimmerproject.org/project/%{name}/ 

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# wget --content-disposition https://github.com/shimmerproject/Greybird/tarball/GIT_SHORT
Source0:        shimmerproject-Greybird-v%{version}-%{theme_revision}-g%{git_short}.tar.gz

BuildArch:      noarch      

%description
Greybird is a theme for GTK2/3 and xfwm4/metacity started out on the basis of
Bluebird, but aims at reworking the intense blue tone to a more neutral
grey-ish look that will be more pleasant to look at in everyday use.


%package gtk2-theme
Summary:        Greybird GTK+2 themes
Requires:       gtk-murrine-engine >= 0.98.1.1 gtk2-engines

%description gtk2-theme
Themes for GTK+2 as part of the Greybird theme.


%package gtk3-theme
Summary:        Greybird GTK+3 themes
Requires:       gtk-unico-engine >= 1.0.2

%description gtk3-theme
Themes for GTK+3 as part of the Greybird theme.


%package metacity-theme
Summary:        Greybird Metacity themes
Requires:       metacity

%description metacity-theme
Themes for Metacity as part of the Greybird theme.


%package xfwm4-theme
Summary:        Greybird Xfwm4 themes
Requires:       xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the Greybird theme.

%package xfce4-notifyd-theme
Summary:        Greybird Xfce4 notifyd theme
Requires:       xfce4-notifyd

%description xfce4-notifyd-theme
Themes for Xfce4 notifyd as part of the Greybird theme.

%prep
%setup -q -n shimmerproject-Greybird-%{git_short}

# Cleanup
# Remove Unity theme
rm -f gtk-3.0/apps/unity.css
rm -f gtk-3.0/apps/unity-greeter.css


%build
# Nothing to build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr gtk-2.0/ gtk-3.0/ metacity-1/ xfwm4/ xfwm4_compact/ xfce-notify-4.0/ %{buildroot}%{_datadir}/themes/%{theme_name}


%files gtk2-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files gtk3-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files metacity-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/metacity-1/


%files xfwm4-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/xfwm4/
%{_datadir}/themes/%{theme_name}/xfwm4_compact/


%files xfce4-notifyd-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/xfce-notify-4.0/

%changelog
* Tue May 22 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.8.2-3
- Fix version number since upstream tagged the last commit
- Add xfce4-notifyd-theme sub-package

* Mon May 21 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.8.1-2
- Spec cleanup
- Require gtk-unico-engine >= 1.0.2 to fix gtk3 theme

* Sun May 20 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.8.1-1
- Initial spec (based on Zukitwo theme)
